/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: muaddib_atreides@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "nSX2.h"
#include "iniapi/iniapi.h"


int nSX2LoadConfig ( void ) {

	int 	result;
	char	IniStringBuff[256];

	/* Read config File */
	result =  getini("./Ps2_config.ini","General","Elf",IniStringBuff);
	if ( result == 0 ) {
		printf("INI : Error Opening File Ps2_config.ini\n");
		return FALSE;
	}
	strncpy( ElfToExecute, IniStringBuff, strlen(IniStringBuff) - 1 );

	result =  getini("./Ps2_config.ini","General","Debug_op",IniStringBuff);
	if ( result == 0 ) debug_op = 0;
	else debug_op = atoi(IniStringBuff);
	
	result =  getini("./Ps2_config.ini","General","Debug_dma",IniStringBuff);
	if ( result == 0 ) debug_dma = 0;
	else debug_dma = atoi(IniStringBuff);

	result =  getini("./Ps2_config.ini","General","Debug_syscall",IniStringBuff);
	if ( result == 0 ) debug_print_syscall = 0;
	else debug_print_syscall = atoi(IniStringBuff);
	
	result =  getini("./Ps2_config.ini","General","Debug_GS",IniStringBuff);
	if ( result == 0 ) debug_gs = 0;
	else debug_gs = atoi(IniStringBuff);
	
	
	return TRUE;
	}